## sdlip.examples
Class Britannica

    java.lang.Object
      |
      +--sdlip.examples.Britannica

public class Britannica
extends java.lang.Object

This is an auxiliary class internally used by the BritanicaLSP application.

Field Summary
`static QName` `ABSTRACT`
`static QName` `ARTICLE`
`DBG` `dbg`
`static java.lang.String` `Namespace`
`static QName` `TITLE`

Constructor Summary
`Britannica(java.lang.String query_)` Constructor

Method Summary
`void` `getDocs(org.w3c.dom.Element eSearchResult, RangeEnumerator range, org.w3c.dom.Element eDocProps)`
`int` `getNumDocs()`
`void` `interrupt()`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Namespace

    public static final java.lang.String Namespace

See Also:
  Constant Field Values

### TITLE

    public static final QName TITLE

### ARTICLE

    public static final QName ARTICLE

### ABSTRACT

    public static final QName ABSTRACT

### dbg

    public DBG dbg

Constructor Detail

### Britannica

    public Britannica(java.lang.String query_)

  Constructor

Method Detail

### getDocs

    public void getDocs(org.w3c.dom.Element eSearchResult,
                        RangeEnumerator range,
                        org.w3c.dom.Element eDocProps)
                 throws SDLIPException

    `SDLIPException`

### getNumDocs

    public int getNumDocs()

### interrupt

    public void interrupt()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

    `java.lang.Exception`